$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 MysqlSourceConfig export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  binaryLogPosition:
    description: Use Binary log position based replication.
    $ref: BinaryLogPosition.yaml
  excludeObjects:
    description: MySQL objects to exclude from the stream.
    $ref: MysqlRdbms.yaml
  gtid:
    description: Use GTID based replication.
    $ref: Gtid.yaml
  includeObjects:
    description: MySQL objects to retrieve from the source.
    $ref: MysqlRdbms.yaml
  maxConcurrentBackfillTasks:
    description: |-
      Maximum number of concurrent backfill tasks. The number should be non
      negative. If not set (or set to 0), the system's default value will be
      used.
    type: integer
  maxConcurrentCdcTasks:
    description: |-
      Maximum number of concurrent CDC tasks. The number should be non negative.
      If not set (or set to 0), the system's default value will be used.
    type: integer
